Bug 88800 - LPRng contains symlink bug in psbanner
Summary: LPRng contains symlink bug in psbanner
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: LPRng   
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Brock Organ
URL: http://bugs.debian.org/cgi-bin/bugrep...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-14 11:35 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-22 17:30:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:150 normal SHIPPED_LIVE Low: LPRng security update 2003-05-22 04:00:00 UTC

Description Mark J. Cox 2003-04-14 11:35:08 UTC
A vulnerability has been found in psbanner, which creates a temporary file
with a known filename in an insecure manner. An attacker could create a
symbolic link and cause arbitrary files to be written as the 'lp' user.

Note: psbanner is not used by the default Red Hat Linux LPRng configuration.

This is RHSA-2003:142, CAN-2003-0136

Comment 1 Mark J. Cox 2003-04-14 11:39:57 UTC
Apologies, that should be RHSA-2003:150

Comment 2 Mark J. Cox 2003-05-22 17:30:47 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-150.html



Note You need to log in before you can comment on or make changes to this bug.